<?xml version="1.0" encoding="utf-8"?>
<!--
 ~ NebiCloud Notes - Android Client
 ~
 ~ SPDX-FileCopyrightText: 2019-2024 NebiCloud GmbH and NebiCloud contributors
 ~ SPDX-License-Identifier: GPL-3.0-or-later
-->
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.google.android.material.appbar.MaterialToolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:elevation="4dp"
        tools:title="@string/simple_exception" />

    <TextView
        android:id="@+id/message"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/spacer_2x"
        android:hint="An error appeared."
        tools:ignore="HardcodedText" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/tips"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="@dimen/spacer_2x"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:itemCount="2"
                tools:listitem="@layout/item_tip" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="@dimen/spacer_2x"
                android:text="@string/error_dialog_we_need_info"
                android:textAppearance="?attr/textAppearanceBody2" />

            <HorizontalScrollView
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginHorizontal="@dimen/spacer_2x"
                android:layout_weight="1">

                <TextView
                    android:id="@+id/stacktrace"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/bg_highlighted"
                    android:padding="@dimen/spacer_1x"
                    android:textIsSelectable="true"
                    android:typeface="monospace"
                    tools:text="@string/android_get_accounts_permission_not_granted_exception_message" />
            </HorizontalScrollView>
        </LinearLayout>
    </ScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/spacer_2x"
        android:gravity="end"
        android:orientation="horizontal"
        android:weightSum="1.0">

        <Button
            android:id="@+id/close"
            style="@style/Widget.Material3.Button.TextButton"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_weight=".5"
            android:text="@string/simple_close"
            android:textColor="@color/defaultBrand" />

        <Button
            android:id="@+id/copy"
            style="@style/Widget.Material3.Button"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginVertical="6dp"
            android:layout_weight=".5"
            android:text="@string/simple_copy"
            app:backgroundTint="@color/defaultBrand"
            tools:ignore="UnusedAttribute" />

    </LinearLayout>
</LinearLayout>